#!/bin/bash

if [ "$1" != "run" ]; then
		nasm -fbin bootloader.nasm -o bootloader.bin && \
		nasm -fbin vbr.nasm -o vbr.bin && \
		nasm -fbin filesystems/lsfs/test_lsfs.nasm -o lsfs.bin && \
		nasm -fbin kernel.nasm -o kernel.bin && \
		cat bootloader.bin vbr.bin lsfs.bin kernel.bin > SingOS.img
fi

if [ "$1" != "make" ]; then
	qemu-system-x86_64 -drive index=0,format=raw,file=SingOS.img 
fi
