# SingOS
![Screenshot - just booted](screenshots/SingJustBooted.png)

SingOS is a single task operating system.  
  
Current version 0.0.4
  
The goal for this project is to create a Operating System  
which tries to find new better ways to handle memory adressing  
  
It will also be posible to switch between 16, 32 and 64-bit mode  
such that anything on very low level can be tested.  

## Screenshots
> Svim, everyone's favorite text editor for SingOS
> ![Screenshot - svim edit](screenshots/SingSvimEdit.png)

&nbsp;

> The spectacle that is the 32 bit protected mode SingOS placeholder
> ![Screenshot - colored circle](screenshots/Sing32ColoredCircles.png)

## Build Instructions
You can build and run the OS with following command  
***Requires nasm and qemu installed and in PATH***  

```sh

    sh build.sh

```
  
If you only want to run SingOS:  
  
```sh

    sh build.sh run  

```  
  
If you only want to compile the binary:  
  
```sh

    sh build.sh make  

```

If you want to run SingOS on real hardware we recommend running it from a usb thumb drive:

**WARNING:** *For now you should only run SingOS on a PC with no important data.*
```sh 
sudo dd if=/<PATH TO SING OS>/SingOS.img of=/dev/<DEVICE NUMBER FOR USB DRIVE> status=progress oflag=sync
```

Now, plug the drive in any x86 pc with BIOS support, push the power button, and enjoy! (^:
