
%define IDTGateTypeTask32   5
%define IDTGateTypeInt16    6
%define IDTGateTypeTrap16   7
%define IDTGateTypeInt32    14
%define IDTGateTypeTrap32   15

struc IDTE32 ; Interrupt Descriptor Table Entry 32-bit
   .OffsetLow: resw             ; offset bits 0..15
   .CodeSegmentSelector: resw   ; a code segment selector in GDT or LDT
   .UnusedZero: resb            ; unused, set to 0
   .GateType: resb              ; type and attributes, see below
   .OffsetHigh: resw            ; offset bits 16..31
endstruc

